# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

# cookie_util.pl
# contains common functions to manipulate cookies

sub ClearCookieData{
    my(@nvpairs, $pair, $name, $value);
    if ($domain ne ""){$domainStr = qq[; domain=$domain];} else {$domainStr = "";}
    if ($cookiePath ne ""){$pathStr = qq[; path=$cookiePath];} else {$pathStr = "";}

    @nvpairs=split(/;/, $ENV{'HTTP_COOKIE'});
    foreach $pair (@nvpairs) {
	($name, $value) = split(/=/, $pair);
	print qq[Set-Cookie: $name=$value; expires=Wed, 29-Jun-1988 17:00:00 GMT$pathStr\n];
    }
    
}

sub ShowCookieData{
    my(@nvpairs, $pair, $name, $value);

    print qq[Content-type: text/html\n\n];
    print qq[<br> The string : $ENV{'HTTP_COOKIE'}];
    print qq[<br> the data <br>];

    @nvpairs=split(/;/, $ENV{'HTTP_COOKIE'});
    foreach $pair (@nvpairs) {
	($name, $value) = split(/=/, $pair);
	print qq[<br> $name=$value ];
    }
}

sub SetCookie{
    my($name, $value, $path, $expires, $secure) = @_;
    
    my($pathStr, $expiresStr, $secureStr, $domainStr);
    
    # the date is formatted as such Wdy, DD-Mon-YYYY HH:MM:SS GMT
    if ($path ne ""){$pathStr = qq[; path=$path];} else {$pathStr = "";}
    if ($expires ne ""){$expiresStr = qq[; expires=$expires];} else {$expiresStr = "";}

    print qq[Set-Cookie: $name=$value$expiresStr$pathStr\n];

}


sub GetCookieData{
    my(@nvpairs, $pair, $name, $value);
    %cookieData=();
    @nvpairs=split(/;/, $ENV{'HTTP_COOKIE'});
    foreach $pair (@nvpairs) {
	($name, $value) = split(/=/, $pair);
	$name =~ s/ //g;
	$value =~ s/%(..)/pack("c",hex($1))/ge;
	if($cookieData{$name}) { $cookieData{$name} .= ", $value" }
	else { $cookieData{$name} = $value; }
    }   
}

1;
