# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#


sub SendMail{
    my($toName, $toEmail, $fromName, $fromEmail, $subject, $message) = @_;

    if ($operatingSystem =~ /unix/i){
	# if this is a Unix solution
	open (MAIL,"|$sendmailLocation -oi -t");
	print MAIL qq[From: $fromName <$fromEmail>\nTo: $toName <$toEmail>\nSubject: $subject\n];
	print MAIL qq[$message];  
	close MAIL;
	
    } elsif ($operatingSystem =~ /win/i){
	use Net::SMTP;
	$smtp = Net::SMTP->new($smtpServer); # connect to an SMTP server
	die "Couldn't connect to mail server" unless $smtp;

	$smtp->mail( $fromEmail );     # use the sender's address here
        $smtp->to( $toEmail );        # recipient's address
        $smtp->data();                      # Start the mail

        # Send the header.
        $smtp->datasend("To: $toName <$toEmail> \n");
        $smtp->datasend("From: $fromName <$fromEmail>\n");
        $smtp->datasend("Subject: $subject\n");
        $smtp->datasend("\n");

        # Send the body.
        $smtp->datasend("$message\n");
        $smtp->dataend();                   # Finish sending the mail
        $smtp->quit;                        # Close the SMTP connection

    }
}




1;
